***
***
**[◄◄ Back to Wiki Index](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/index)**
***
***

# ► AI Chatbots

* **Note** - Our [Discord](https://redd.it/17f8msf) has an AI bot with Llama, Mistral, and Stable Diffusion. Feel free to join and try it out.

***

* 🌐 **[LMSYS Arena](https://chat.lmsys.org/?leaderboard)** - Chatbot Leaderboard with Elo rating
* 🌐 **[LLM Leaderboard](https://huggingface.co/spaces/HuggingFaceH4/open_llm_leaderboard)** - Open Source Chatbot Benchmark
* 🌐 **[Transformer Models Timeline](https://ai.v-gar.de/ml/transformer/timeline/)** - LLM Timeline

***

## ▷ Online Chatbots

* ⭐ **[Microsoft Copilot](https://copilot.microsoft.com)** - GPT-4/3.5 Powered Search / [SydneyQT Jailbreak](https://github.com/juzeon/SydneyQt)
* ⭐ **[wrtn](https://wrtn.ai/)** - GPT-4 Chatbot / [Android](https://play.google.com/store/apps/details?id=com.wrtn.app) / [iOS](https://apps.apple.com/us/app/%EB%A4%BC%ED%8A%BC-%EB%AA%A8%EB%91%90%EB%A5%BC-%EC%9C%84%ED%95%9C-ai-%ED%8F%AC%ED%84%B8/id6448556170) (ask for english)
* ⭐ **[Gemini](https://gemini.google.com/)** or [Gemma](https://github.com/google/gemma.cpp), [2](https://ai.google.dev/gemma/) - Google's Chatbot
* ⭐ **[Claude](https://claude.ai/)** - Anthropic's Chatbot
* ⭐ **[Perplexity](https://www.perplexity.ai/)** - GPT-3.5 Powered Search / [Open Source Models](https://labs.perplexity.ai/)
* ⭐ **[groq](https://groq.com/)** - LLama 3 and Mixtral Chatbots
* ⭐ **[LMSYS Chat](https://chat.lmsys.org/)** - Chat and Compare Multiple Chatbots
* [feyn](https://feyn.chat/) - GPT-4 / Multiple Chatbots
* [ChatGPT](https://chat.openai.com/) - GPT-3.5 Chatbot / [Discord](https://discord.com/invite/openai)
* [LibreChat](https://librechat.ai/) - Multiple Chatbots
* [HuggingChat](https://huggingface.co/chat/) - Open-Source Chatbots
* [FlowGPT](https://flowgpt.com/chat) - Multiple Chatbots / [Discord](https://discord.com/invite/tWZGzcpTkf)
* [infermatic](https://infermatic.ai/) / [Discord](https://discord.gg/9GUXmDx9GF) - Multiple Chatbots
* [lollms-webui](https://github.com/ParisNeo/lollms-webui) - Multiple Chatbots
* [Phind](https://www.phind.com/) - Llama Powered Search
* [Komo](https://komo.ai/) - GPT-3.5 Powered Search
* [iAsk](https://iask.ai/) - AI Search Engine
* [Andi](https://andisearch.com/) - AI Search Engine
* [Metaphor](https://metaphor.systems/) / [Discord](https://discord.com/invite/jvz7GS9W8Y) - AI Search Engine
* [Lepton Search](https://search.lepton.run/) - AI Search Engine
* [Ora](https://ora.ai/start) - GPT-3.5 Based Chatbots
* [Pi](https://pi.ai/talk) - Inflection AI's Chatbot
* [Reka Playground](https://chat.reka.ai/) - Reka's Chatbot
* [Poe](https://poe.com/) - Multiple Chatbots / 150 Daily / [Discord](https://discord.com/invite/joinpoe)
* [play.vercel](https://play.vercel.ai/) - Compare Multiple Chatbots
* [GlobalGPT](https://www.globalgpt.nspiketech.com/#/) - AI Chatbot with Document Support

***

## ▷ Self-Hosting Tools

* ⭐ **[Jan.ai](https://jan.ai/)** - Self-Hosted
* ⭐ **[SillyTavern](https://docs.sillytavern.app/)** - Front-end for LLMs
* ⭐ **[llama.cpp](https://github.com/ggerganov/llama.cpp)** - Self-Host Transformer Based LLMs / [Guide](https://rentry.org/llama-mini-guide)
* ⭐ **[kobold.cpp](https://github.com/LostRuins/koboldcpp)** - llama.cpp with API + GUI / [rocM](https://github.com/YellowRoseCx/koboldcpp-rocm) / [Colab](https://colab.research.google.com/github/LostRuins/koboldcpp/blob/concedo/colab.ipynb)
* ⭐ **[Pinokio](https://pinokio.computer/)** - Single Click AI Model Installer / [Discord](https://discord.gg/TQdNwadtE4)
* ⭐ **[Oobabooga Text Generation WebUI](https://github.com/oobabooga/text-generation-webui)** - Self-Host Models / [Colab](https://colab.research.google.com/github/pcrii/Philo-Colab-Collection/blob/main/4bit_TextGen_Gdrive.ipynb)
* ⭐ **[Aphrodite Engine](https://github.com/PygmalionAI/aphrodite-engine)** - Serve LLMs at Scale with Kobold & OpenAI APIs / [Colab](https://colab.research.google.com/github/AlpinDale/misc-scripts/blob/main/Aphrodite.ipynb)
* [LLaVA](https://llava.hliu.cc/) - Chatbot with Image Support
* [Petals](https://petals.dev/) - Self-Hosted
* [Mistral](https://chat.mistral.ai/chat) - Self-Hosted
* [Ollama](https://ollama.ai/) - Self-Hosted
* [LMStudio](https://lmstudio.ai/) - Self-Hosted
* [GPT4All](https://gpt4all.io/) - Self-Hosted / [Github](https://github.com/nomic-ai/gpt4all) / [Discord](https://discord.com/invite/mGZE39AS3e)
* [LlamaFile](https://github.com/Mozilla-Ocho/llamafile) - Run LLM with Single Files
* [Generative AI for Beginners](https://microsoft.github.io/generative-ai-for-beginners/) - Generative AI Guides


***

## ▷ Roleplaying Chatbots

* 🌐 **[Ayumi LLM](http://ayumi.m8geil.de/ayumi_bench_v3_results.html)** or [BestERP](https://besterp.ai/) - Roleplaying LLM Lists
* 🌐 **[Img-Resources](https://rentry.org/lmg-resources)** - LLM Character Resources / [Templates](https://rentry.org/lmg_template)
* ⭐ **[PygmalionAI](https://discord.com/invite/pygmalionai)** - Self-Hosted Roleplaying Models with Resources / [Resources](https://rentry.co/PygmalionLinks)
* ⭐ **[Call Annie](https://callannie.ai/)** - GPT-3.5 Chatbot with Real-Time Voice and Video / [Discord](https://discord.gg/Rfbzet5R3v)
* ⭐ **[Character AI](https://character.ai/)** - Roleplaying Chatbots / [Extract Params](https://rentry.org/reverseCAI)
* ⭐ **[Bot Creation Guide](https://wikia.schneedc.com/bot-creation/intro)** - Character Creation Guide
* ⭐ **[Chub](https://www.chub.ai/)** - Character Cards
* [LLaMA + SillyTavern](https://rentry.org/llama_v2_sillytavern) - LLaMA + SillyTavern Roleplaying Setup Guide
* [KoboldAI](https://github.com/henk717/KoboldAI) - GUI for Roleplaying Chatbots / [Web App](https://lite.koboldai.net/)
* [GPT Call](https://gptcall.net/) - Roleplaying Chatbots / [Discord](https://discord.gg/88fQT5Bgfe)
* [Figgs](https://www.figgs.ai/) - Roleplaying Chatbots
* [Dreamshow](https://dreamshow.ai/) - Roleplaying Chatbots
* [Spicychat.ai](https://spicychat.ai/) - Roleplaying Chatbots
* [Epigon](https://epigon.ai/) - Roleplaying Chatbots
* [Sakura](https://www.sakura.fm/) - Roleplaying Chatbots
* [4thWall AI](https://beta.4wall.ai/) - Roleplaying Chatbots
* [Faraday](https://faraday.dev/) - Self-Hosted Roleplaying Chatbot
* [TavernAI](https://tavernai.net/) - Roleplaying / Adventure Chatbot
* [Broken Bear](https://www.brokenbear.com/) - Vent to AI Bear
* [Kajiwoto](https://kajiwoto.ai/), [Miku](https://docs.miku.gg/) / [Discord](https://discord.gg/3XPdpUdGgV) or [Agnai](https://agnai.chat/) - Chatbot Builders

***

## ▷ Coding AIs

* 🌐 **[EvalPlus Leaderboard](https://evalplus.github.io/leaderboard.html)** or [BigCode](https://huggingface.co/spaces/bigcode/bigcode-models-leaderboard) - Coding AI Leaderboards
* ⭐ **[Pieces](https://pieces.app/) / [Docs](https://docs.pieces.app)** - Multi-LLM Coding AI / GPT4 for Free
* [Cursor](https://cursor.sh/) - Coding AI
* [Codeium](https://codeium.com/) - Coding AI
* [tabnine](https://www.tabnine.com/) - Coding AI
* [ImageCook](https://imgcook.com) / [GitHub](https://github.com/imgcook/imgcook) - Coding AI
* [CodeWhisperer](https://aws.amazon.com/codewhisperer/) - Coding AI
* [Telosys](https://www.telosys.org/) - Coding AI
* [WDTCD?](https://whatdoesthiscodedo.com/) - Coding AI
* [Sourcery](https://sourcery.ai/) - Coding AI
* [Devv](https://devv.ai/) - Coding AI
* [Cody](https://about.sourcegraph.com/cody) - Coding AI
* [CodiumAI](https://www.codium.ai/) - Coding AI
* [continue](https://continue.dev/) - Coding AI
* [Bito AI](https://bito.ai/) - Coding AI
* [Blackbox](https://www.blackbox.ai/) - Coding AI
* [CollectivAI](https://chat.collectivai.com/) - Coding AI
* [Denigma](https://denigma.app/#demo) - Coding AI
* [Codacy](https://www.codacy.com/) or [AI Code Review](https://ai-code-reviewer.com/) - Code Fixing AIs
* [v0](https://v0.dev/) - Text to Site Code
* [AI Code Translator](https://ai-code-translator.vercel.app/), [AI Code Convert](https://aicodeconvert.com/) or [Source Code Converters](https://www.tangiblesoftwaresolutions.com/) - AI Code Converters
* [GPT Engineer](https://github.com/AntonOsika/gpt-engineer) - AI Code Generator
* [Gorilla](https://gorilla.cs.berkeley.edu/) - API to Code LLM

***

## ▷ ChatGPT Tools

* 🌐 **[Awesome ChatGPT](https://github.com/uhub/awesome-chatgpt)** - ChatGPT Resources
* 🌐 **[Awesome Free ChatGPT](https://github.com/LiLittleCat/awesome-free-chatgpt/blob/main/README_en.md)** or **[FOFA](https://en.fofa.info/result?qbase64=ImxvYWRpbmctd3JhcCIgJiYgImJhbGxzIiAmJiAiY2hhdCIgJiYgaXNfZG9tYWluPXRydWU%3D)** / [2](https://en.fofa.info/result?qbase64=dGl0bGU9PSJDaGF0R1BUIFdlYiI%3D) - ChatGPT WebUI Indexes
* 🌐 **[Every ChatGPT GUI](https://github.com/billmei/every-chatgpt-gui)** - ChatGPT GUI Index
* ⭐ **[ChatHub](https://chathub.gg/)** - Compare AI Responses
* ⭐ **[ChatPDF](https://www.chatpdf.com/)** or [Ask Your PDF](https://askyourpdf.com/) - Turn PDFs into Chatbots
* ⭐ **[TypeSet](https://typeset.io/)** - Research Paper Chatbot
* [Lobe Chat](https://chat-preview.lobehub.com), [HemulGM](https://github.com/HemulGM/ChatGPT), [SmolAI](https://github.com/smol-ai/menubar/), [PandoraAI](https://github.com/Richard-Weiss/) or [Chatbot-UI](https://chatbotui.com) / [GitHub](https://github.com/mckaywrigley/chatbot-ui) - ChatGPT Desktop Apps / GUIs
* [TGPT](https://github.com/aandrew-me/tgpt) - ChatGPT TUI
* [Vault AI](https://vault.pash.city/), [Humata](https://www.humata.ai/), [Unriddle](https://www.unriddle.ai/), [Sharly](https://app.sharly.ai/), [Docalysis](https://docalysis.com/), [DAnswer](https://docs.danswer.dev/), [DocsGPT](https://docsgpt.arc53.com/) or [ChatDOC](https://chatdoc.com/) - Turn Documents into Chatbots
* [PrivateGPT](https://docs.privategpt.dev/) or [ChatDocs](https://github.com/marella/chatdocs) - Offline Document Chatbots
* [Erin](https://erin.ac/) or [SallyBot](https://github.com/DeSinc/SallyBot/) - ChatGPT Discord Bots
* [ChatGPT DeMod](https://github.com/4as/ChatGPT-DeMod) - Block ChatGPT Moderation Checks
* [ParallelGPT](https://www.parallelgpt.ai/) - Data Processing AI
* [ChatGPT File Uploader](https://chromewebstore.google.com/detail/chatgpt-file-uploader/oaogphgfdbdbmhkiplemgehihiiececj) - File Upload Extension
* [ChatGPT Advanced](https://tools.zmo.ai/webchatgpt) - Add Search Results to ChatGPT
* [SublimeGPT](https://chromewebstore.google.com/detail/sublimegpt-chatgpt-everyw/eecockeebhenbihmkaamjlgoehkngjea), [DuckDuckGPT](https://github.com/kudoai/duckduckgpt) or [GPTGO](https://gptgo.ai/) - Add ChatGPT to Search Results
* [ChatGPTBox](https://github.com/josStorer/chatGPTBox), [ChatGPT Apps](https://github.com/adamlui/chatgpt-apps), [KeepChatGPT](https://github.com/xcanwin/KeepChatGPT/blob/main/docs/README_EN.md) or [Walles](https://walles.ai/) - ChatGPT Extensions
* [Harpa](https://harpa.ai/), [Merlin](https://www.getmerlin.in/) / [Unlimited](https://rentry.co/MerlinAI-Unlim) or [Glimpse](https://glimpse.surf/) - ChatGPT Chrome Extensions
* [/r/ChatGPT](https://www.reddit.com/r/ChatGPT/) - ChatGPT Subreddit
* [ChatGPT Exporter](https://greasyfork.org/en/scripts/456055) - Export Chats
* [VizGPT](https://www.vizgpt.ai/) - Chat Data Visualization
* [DeepSheet](https://deepsheet.dylancastillo.co/) - Data Visualization AI
* [Autoclear ChatGPT History](https://github.com/adamlui/userscripts/tree/master/chatgpt/autoclear-chatgpt-history) - Autoclear Chats
* [EditGPT](https://www.editgpt.app/) - Proofread Chats
* [RepeatGPT](https://repeatgpt.com/) - Schedule Chats
* [ChatGPT Old Style](https://greasyfork.org/en/scripts/486909) - Old ChatGPT Colors

***

## ▷ ChatGPT Prompts

* ⭐ **[Awesome ChatGPT Prompts](https://prompts.chat/)** - Prompt Directory / [Github](https://github.com/f/awesome-chatgpt-prompts)
* ⭐ **[BlackFriday GPTs Prompts](https://github.com/friuns2/BlackFriday-GPTs-Prompts)** - Prompt Directory
* ⭐ **[flowgpt](https://flowgpt.com/)** - Prompt Directory
* ⭐ **[Leaked Prompts](https://github.com/linexjlin/GPTs)** - Prompt Directory
* ⭐ **[Prompt Engineering Guide](https://www.promptingguide.ai)**, [LearnPrompting](https://learnprompting.org/docs/intro), [OpenAI Guide](https://platform.openai.com/docs/guides/prompt-engineering), [Claude Guide](https://docs.anthropic.com/claude/docs/prompt-engineering), [LearningPrompt](https://learningprompt.wiki/) or [Jailbreaking ChatGPT](https://arxiv.org/pdf/2305.13860) - Prompting Guides
* ⭐ **[quickref](https://quickref.me/chatgpt)** - Prompt Cheatsheets
* [500 Best Prompts](https://puzzle-jute-202.notion.site/500-Best-ChatGPT-Prompts-f5b4ad65deec4b6385316fdb8740af74) - Prompt Directory
* [GPTea](https://gptea.io/) - Prompt Directory
* [SnackPrompt](https://snackprompt.com/) - Prompt Directory
* [PromptPerfect](https://promptperfect.jina.ai/) - Prompt Optimization
* [promptfoo](https://github.com/typpo/promptfoo) or [PromptKnit](https://promptknit.com/) - Prompt Playgrounds
* [Marketing 2099](https://sintralabs.notion.site/Marketing-2099-Ultimate-ChatGPT-Marketing-Prompts-To-Copy-Paste-200-tasks-fc22c9142d6a4a4286a3fe755be932e6) - ChatGPT Marketing Prompts
* [Tensor Trust](https://tensortrust.ai/) or [Gandalf](https://gandalf.lakera.ai/) - Prompting Skill Games

***
***

# ► AI Indexes

* 🌐 **[Toolify](https://www.toolify.ai/)** - AI Directory
* 🌐 **[Phygital Library](https://library.phygital.plus/)** - AI Directory / Workflow Builder
* 🌐 **[AI-MF](https://whoisdsmith.gitbook.io/ai-mf/)** - AI Directory / [GitHub](https://github.com/whoisdsmith/AI-MTHRFCKR)
* 🌐 **[LifeArchitect](https://lifearchitect.ai/models-table/)** - LLM Index
* [ToolDirectory](https://www.tooldirectory.ai/) - AI Directory
* [Futurepedia](https://www.futurepedia.io/) - AI Directory
* [PowerUsers](https://powerusers.ai/) - AI Directory
* [TheresAnAIForThat](https://theresanaiforthat.com/) - AI Directory
* [AI Tools](https://aitools.fyi/) - AI Directory
* [FutureTools](https://www.futuretools.io/?pricing-model=free) - AI Directory
* [ArtificialStudio](https://www.artificialstudio.ai/tools) - Multi-Tool Browser AI
* [Google Labs](https://labs.google/) or [AI Test Kitchen](https://aitestkitchen.withgoogle.com/) - Google AI Experiments

***
***

# ► Text Generators

* ⭐ **[TextFX](https://textfx.withgoogle.com/)** or [rytr](https://rytr.me/) - AI Creative Writing Tools
* [Scrip AI](https://scripai.com/), [InkForAll](https://app.inkforall.com/tools), [QuickPenAI](https://quickpenai.com/) - Online AI Text Tools
* [NovelAI](https://novelai.net/) - Story Writing AI / [Limit Bypass](https://pastebin.com/JDyvqZcz), [2](https://greasyfork.org/en/scripts/448926)
* [Dreamily](https://dreamily.ai/) or [NightSaga](https://nightsaga.ai/) - Story Writing AIs
* [Essaytyper](http://www.essaytyper.com/), [papertyper](https://papertyper.net/), [EssayBot](https://www.essaybot.com/) / [2](https://www.essayaibot.com/), [Textero](https://www.textero.ai/), [EssayBuilder](https://essay-builder.ai/) or [EssayService](https://www.essayservice.ai/) - Essay Writing AI
* [Chat GPTPhantom](https://chatgpt-phantom.vercel.app/) - Article Writing AI
* [GPT4Chat](https://gpt4chat.net/) or [ChatGPT Writer](https://chatgptwriter.ai/) - Email Reply AI
* [Novel.sh](https://novel.sh/) or [TextSynth](https://textsynth.com/playground.html) - Text Autocomplete AI
* [Compose](https://www.compose.ai/) - Text Autocomplete AI Extension
* [NumerousAI](https://numerous.ai/) or [FormulaBot](https://formulabot.com/) - Excel AI Tools
* [Auto Text Expander](https://pastebin.com/TFPRieVN) - Shortcuts to Expand & Replace Text as you Type

***

## ▷ [Text Rephrashing](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/text-tools#wiki_.25B7_text_rephrasing)

***

## ▷ [Grammar Check](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/text-tools#wiki_.25B7_grammar_check)

***
***

# ► Image Generation

* **Note** - Because Stable Diffusion works so well, most innovation in image generation is happening using it as the base model. As such, almost all sections and links are based on SD, unless stated otherwise.

***

* 🌐 **[RentrySD](https://rentry.org/RentrySD/)**, **[Pharmapsychotic](https://pharmapsychotic.com/tools.html)**, [Paper2GUI](https://github.com/Baiyuetribe/paper2gui/blob/main/README_en.md), [LocalModelsLinks](https://rentry.org/LocalModelsLinks), [SD Goldmine](https://rentry.org/sdgoldmine), [Akashic](https://github.com/Maks-s/sd-akashic), [sdg-link](https://rentry.org/sdg-link), [SDTools](https://sdtools.org) or [AI Creation Tools](https://docs.google.com/spreadsheets/d/1zYJUM-srhgIA7wrj4Pe4QqepAsHIEC00DydoTPv4PWg/edit#gid=0) - AI Image Resources
* 🌐 **[CivitAI](https://civitai.com/)** or [Stable Diffusion Models](https://cyberes.github.io/stable-diffusion-models/) - SD Models Index
* 🌐 **[PromptMania](https://promptomania.com/)**, [PTSearch](https://www.ptsearch.info/tags/list/) or [PublicPrompts](https://publicprompts.art/) / [Discord](https://discord.com/invite/jvQJFFFx26) - Prompt Indexes
* ⭐ **[CLIP Interrogator](https://huggingface.co/spaces/pharma/CLIP-Interrogator)** / [2](https://huggingface.co/spaces/fffiloni/CLIP-Interrogator-2) - Determine Likely Used Image Prompts
* [SD Dynamic Prompts](https://github.com/adieyal/sd-dynamic-prompts) - Dynamic Prompts Extension
* [Stable Horde](https://stablehorde.net/) - Distributed Network of GPUs running Stable Diffusion / [Interface](https://aqualxx.github.io/stable-ui/), [2](https://tinybots.net/artbot), [3](https://artificial-art.eu/)
* [NOP / WAS](https://colab.research.google.com/drive/1jUwJ0owjigpG-9m6AI_wEStwimisUE17) - AI Image Generation Colab
* [image-mixer-demo](https://huggingface.co/spaces/lambdalabs/image-mixer-demo), [AITransformer](https://aitransformer.net/) - AI Image Transformers
* [SD Inpainting](https://huggingface.co/spaces/runwayml/stable-diffusion-inpainting), [Inpaint Anything](https://github.com/geekyutao/Inpaint-Anything) or [Lama Cleaner](https://github.com/Sanster/lama-cleaner) - Image Fill / Item Removal
* [Unstable Diffusion](https://discord.com/invite/unstablediffusion) - AI Image Community
* [/r/sdforall](https://www.reddit.com/r/sdforall/) - Stable Diffusion Subreddit

***

## ▷ Online Generators

* ⭐ **[Microsoft Designer](https://designer.microsoft.com/image-creator)**, [2](https://www.bing.com/images/create) / Unlimited / [Tips](https://rentry.co/bingimagecreatortips) / [Bulk Download](https://github.com/Richard-Weiss/Bing-Creator-Image-Downloader)
* ⭐ **[Mage](https://www.mage.space/)** / [Discord](https://discord.com/invite/GT9bPgxyFP) / Unlimited
* ⭐ **[Poe](https://poe.com/)** / 100 Daily / [Discord](https://discord.com/invite/joinpoe)
* ⭐ **[Dezgo](https://dezgo.com/)** / [Discord](https://discord.com/invite/RQrGpUhPhx) / Unlimited
* ⭐ **[Meta AI](https://imagine.meta.com/)** / Unlimited
* ⭐ **[Playground](https://playground.com/)** / 100 Daily
* ⭐ **[Ideogram](https://ideogram.ai/)** / 100 Daily
* ⭐ **[Tensor.art](https://tensor.art/)** / 100 Daily
* ⭐ **[Shakker](https://www.shakker.ai/)** / 50 Daily / [Discord](https://discord.gg/djyP5u3vHY) / [Guide](https://docs.google.com/document/d/1PZ6to6Nn995J0o0BbEPhucqge9uyc1acQoNuvWkK6M8/edit#heading=h.kkzhkyyy4ze4)
* ⭐ **[Lexica](https://lexica.art/)** / 48 Weekly
* [Stable Diffusion](https://huggingface.co/spaces/stabilityai/stable-diffusion) / Unlimited / [GitHub](https://github.com/Stability-AI/stablediffusion) / [Discord](https://discord.com/invite/stablediffusion)
* [Prodia](https://app.prodia.com/) / [Discord](https://discord.com/invite/495hz6vrFN) / [Huggingchat Demo](https://huggingface.co/spaces/prodia/fast-stable-diffusion) / Unlimited
* [Unstability.ai](https://www.unstability.ai/) / 52 Daily
* [SeaArt](https://www.seaart.ai/) / 40 Daily
* [OpenArt](https://openart.ai/) / [Discord](https://discord.com/invite/yTMNvk5z97) / 50 Daily
* [StableDiffusionWeb](https://stablediffusionweb.com/) / 10 Daily
* [AIGallery](https://aigallery.app/) / Unlimited
* [ComfyUI Web](https://comfyuiweb.com/) / Unlimited
* [Recraft](https://www.recraft.ai/) / Unlimited
* [ImageLabs](https://editor.imagelabs.net/) / Unlimited
* [Pollinations](https://pollinations.ai/) / Unlimited / [Discord](https://discord.com/invite/8HqSRhJVxn)
* [PicFinder](https://picfinder.ai/) / Unlimited
* [Perchance](https://perchance.org/ai-text-to-image-generator) / Unlimited
* [PixArt-alpha](https://huggingface.co/spaces/PixArt-alpha/PixArt-alpha) / Unlimited
* [GetIMG.ai](https://getimg.ai/) / [Discord](https://discord.com/invite/5KsUXSzVwS) / 100 Monthly
* [Leonardo.ai](https://app.leonardo.ai/) / 30 Daily
* [Adobe Firefly](https://firefly.adobe.com/) / 25 Monthly / [Discord](https://discord.com/invite/dJnsV5s8PZ) / Sign-Up Required
* [AITurbo](https://app.aitubo.ai/) / 25 Daily / [Discord](https://discord.gg/qTu6YsRn7F)
* [Artsio](https://artsio.xyz/) / 20 Daily
* [Maze.guru](https://maze.guru/gallery) / 12 Daily
* [DreamLike](https://dreamlike.art) / 12 Daily
* [Craiyon](https://www.craiyon.com/) / 10 Daily / [Github](https://github.com/borisdayma/dalle-mini) / [Colab](https://colab.research.google.com/github/borisdayma/dalle-mini/blob/main/tools/inference/inference_pipeline.ipynb)
* [POKEIT](https://pokeit.ai/) / 10 Daily
* [PixAI](https://pixai.art/) / 10 Daily
* [Krea](https://search.krea.ai/) / [Discord](https://discord.gg/rJurUAR8Kz)
* [ArtHub.ai](https://arthub.ai/)
* [MemeCam](https://www.memecam.io/) - AI Meme Generator
* [Genie](https://lumalabs.ai/genie), [Shap-e](https://github.com/openai/shap-e), [Stable Dreamfusion](https://github.com/ashawkey/stable-dreamfusion) or [ThreeStudio](https://github.com/threestudio-project/threestudio) - 3D Image Generators
* [Insta-3D](https://huggingface.co/spaces/ilumine-AI/Insta-3D) - Turn 2D images into 3D spaces
* [Interactive Scenes](https://lumalabs.ai/interactive-scenes) - Generate Interactive Scenes
* [IllusionDiffusion](https://huggingface.co/spaces/AP123/IllusionDiffusion) - Illusion Artwork Generator

***

## ▷ Local Frontends

* ⭐ **[Stability Matrix](https://lykos.ai/)** / [GitHub](https://github.com/LykosAI/StabilityMatrix)
* ⭐ **[Automatic1111](https://github.com/AUTOMATIC1111/stable-diffusion-webui)** / [Fork](https://github.com/anapnoe/stable-diffusion-webui-ux), [2](https://github.com/vladmandic/automatic) / [Collab](https://colab.research.google.com/drive/1kw3egmSn-KgWsikYvOMjJkVDsPLjEMzl) / [Photoshop](https://github.com/AbdullahAlfaraj/Auto-Photoshop-StableDiffusion-Plugin) / [Templates](https://github.com/ThereforeGames/unprompted) / [Upscaling](https://github.com/Coyote-A/ultimate-upscale-for-automatic1111), [2](https://github.com/pkuliyi2015/multidiffusion-upscaler-for-automatic1111)
* ⭐ **[InvokeAI](https://invoke-ai.github.io/InvokeAI/) / [GitHub](https://github.com/invoke-ai/InvokeAI)** / [Discord](https://discord.com/invite/ZmtBAhwWhy)
* ⭐ **[ComfyUI](https://github.com/comfyanonymous/ComfyUI)**
* ⭐ **[Fooocus](https://github.com/lllyasviel/Fooocus)**, [2](https://github.com/MoonRide303/Fooocus-MRE) / [Colab](https://colab.research.google.com/github/lllyasviel/Fooocus/blob/main/fooocus_colab.ipynb) / [Search](https://genly.ai/)
* ⭐ **[MochiDiffusion](https://github.com/godly-devotion/MochiDiffusion)** - Stable Diffusion for Mac / [Discord](https://discord.com/invite/x2kartzxGv)
* ⭐**[DiffusionBee](https://diffusionbee.com/)** - Stable Diffusion for Mac / [GitHub](https://github.com/divamgupta/diffusionbee-stable-diffusion-ui) / [Discord](https://discord.com/invite/t6rC5RaJQn)
* [StableStudio](https://github.com/Stability-AI/StableStudio)
* [Easy Diffusion](https://stable-diffusion-ui.github.io/)
* [Makeayo](https://makeayo.com) / [Discord](https://discord.gg/FbdSxdeV8m)
* [Sygil WebUI](https://github.com/Sygil-Dev/sygil-webui) / [Discord](https://discord.com/invite/ttM8Tm6wge)
* [Radiata](https://ddpn08.github.io/Radiata/en/)
* [SD WebUI Forge](https://github.com/lllyasviel/stable-diffusion-webui-forge)
* [NMKD Stable Diffusion GUI](https://github.com/n00mkrad/text2image-gui)
* [aiimag.es](https://sunija.itch.io/aiimages) / [Discord](https://discord.com/invite/Fge4dVHFM2)

***

## ▷ SD Guides

* ⭐ **[A Traveler’s Guide to the Latent Space](https://sweet-hall-e72.notion.site/A-Traveler-s-Guide-to-the-Latent-Space-85efba7e5e6a40e5bd3cae980f30235f)** - AI Art Guide
* ⭐ **[Voldy](https://rentry.org/voldy)**, [SD Quickstart](https://redd.it/xvhavo) or [1 Min Stable Diffusion](https://youtu.be/l3JjTDvyVdw) - Stable Diffusion Guides
* [TheAlly's Guide](https://civitai.com/models/22881/) - Stable Diffusion Guide
* [StableDiffusion Cheatsheet](https://supagruen.github.io/StableDiffusion-CheatSheet/) - Stable Diffusion Cheatsheet
* [Textard](https://rentry.org/textard) - Textual Inversion Guide
* [drfar](https://rentry.org/drfar) - InPainting Guide
* [AnimAnon](https://rentry.org/AnimAnon) - AI Animation Guide
* [The Other](https://rentry.org/59xed3), [DummyLoRA](https://rentry.org/dummylora), [ezlora](https://rentry.org/ezlora), [Dreambooth](https://rentry.org/2chAI_LoRA_Dreambooth_guide_english), [ora_train](https://rentry.org/lora_train) - SD LoRA Guides
* [SafeTensorsGuide](https://rentry.org/safetensorsguide) - How-to Convert .ckpt to .safetensors
* [DummyControlNet](https://rentry.org/dummycontrolnet) - ControlNet Guide

***

## ▷ [Image Restoration](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/img-tools#wiki_.25B7_upscale_.2F_restore)

***

# ► Audio Generators

* ⭐ **[MusicGen](https://huggingface.co/spaces/facebook/MusicGen)** - Text to Music AI
* ⭐ **[Riffusion](https://www.riffusion.com/)**
* ⭐ **[Suno](https://app.suno.ai/)**
* [Wolfram Tones](https://tones.wolfram.com/)
* [StableAudio](https://www.stableaudio.com/)
* [Udio](https://www..com/)
* [audio visual generator](https://fredericbriolet.com/avg/)
* [Fake Music Generator](https://www.fakemusicgenerator.com/)
* [Jingle](https://aidn.jp/jingle/)
* [BeatOven](https://www.beatoven.ai/)
* [Waveformer](https://waveformer.replicate.dev/)
* [SoundDraw](https://soundraw.io/)
* [Aiva](https://aiva.ai/)
* [Boomy](https://boomy.com/)
* [Drum Loop AI](https://www.drumloopai.com/) - Drum Loop Generator
* [WOMBO](https://www.wombo.ai/) - AI Powered Lip Sync

***

## ▷ Text to Speech

* ⭐ **[ElevenLabs](https://beta.elevenlabs.io/)** / [Discord](https://discord.com/invite/elevenlabs)
* ⭐ **[Uberduck](https://uberduck.ai/)**
* ⭐ **[WhisperSpeech](https://huggingface.co/spaces/collabora/WhisperSpeech)** - [Discord](https://discord.com/invite/FANw4rHD5E)
* ⭐ **[Tortoise TTS](https://github.com/neonbjb/tortoise-tts)**
* ⭐ **[Bark](https://huggingface.co/spaces/suno/bark)** - [Github](https://github.com/suno-ai/bark) / [Discord](https://discord.com/invite/J2B2vsjKuE)
* [Balabolka](https://www.cross-plus-a.com/bportable.htm)
* [ttsMP3](https://ttsmp3.com/)
* [Vall-e](https://github.com/enhuiz/vall-e)
* [TextToMP3](https://www.texttomp3.online/)
* [Listnr](https://listnr.ai/)
* [FakeYou](https://fakeyou.com/)
* [Woord](https://www.getwoord.com/)
* [TTSMaker](https://ttsmaker.com/)
* [Speakonia](https://archive.org/details/speakonia_1036)
* [TextToSpeech](https://texttospeech.io/)
* [SAPI4](https://tetyys.com/SAPI4/)
* [LazyPY](https://lazypy.ro/tts/)
* [Murf.ai](https://murf.ai/)
* [EmotiVoice](https://github.com/netease-youdao/EmotiVoice)
* [Fish Diffusion](https://diff.fish.audio) / [GitHub](https://github.com/fishaudio/fish-diffusion)
* [Audio-WebUI](https://github.com/gitmylo/audio-webui)
* [Vanilla Voice](https://www.vanillavoice.com/)
* [Sam](https://discordier.github.io/sam/), [2](https://simulationcorner.net/index.php?page=sam) / [BetterSam](https://imrane03.github.io/better-sam/)
* [MicrosoftSamOnline](https://lingojam.com/MicrosoftSamOnline)
* [TTSFree](https://ttsfree.com/)
* [Wideo](https://wideo.co/text-to-speech/)
* [VoiceGenerator](https://voicegenerator.io/)
* [Text to Speech Free](https://www.texttospeechfree.com/)
* [Lovo ai](https://lovo.ai/)
* [TextToSpeechRobot](https://texttospeechrobot.com/)
* [SoundofText](https://soundoftext.com/)
* [FreeTTS](https://freetts.com/)
* [zvukogram](https://zvukogram.com/)
* [Nuance](https://www.nuance.com/de-de/omni-channel-customer-engagement/voice-and-ivr/text-to-speech.html)
* [VoiceMaker](https://voicemaker.in/)
* [readloud](https://readloud.net/)
* [NaturalReaders](https://www.naturalreaders.com/online/)
* [TTS](https://github.com/coqui-ai/tts)
* [Clash](https://clash.me/)
* [Moe TTS](https://huggingface.co/spaces/skytnt/moe-tts)
* [TTS Paper](https://github.com/coqui-ai/TTS-papers) - Text to Speech Papers

***

## ▷ Voice Change / Clone

* ⭐ **[Applio](https://github.com/IAHispano/Applio-RVC-Fork)** - Voice Cloning / [Discord](https://discord.com/invite/iahispano)
* ⭐ **[weights.gg](https://www.weights.gg/) / [Discord](https://discord.gg/aihub)** - AI Voice Models and Guides
* ⭐ **[RVC V2](https://github.com/RVC-Project/Retrieval-based-Voice-Conversion-WebUI/blob/main/docs/en/README.en.md)** - RVC V2 Voice Cloning (locally)
* ⭐ **[voice-changer](https://github.com/w-okada/voice-changer)** - Realtime Voice Changer (W-Okada) - [Guide](https://rentry.co/VoiceChangerGuide)
* ⭐ **[Ilaria RVC](https://huggingface.co/spaces/TheStinger/Ilaria_RVC)** - RVC V2 Voice Cloning (Cloud/Colab) 
* [Replay](https://www.tryreplay.io/) - RVC Desktop App 
* [Bark w/ Voice Clone](https://huggingface.co/spaces/kevinwang676/Bark-with-Voice-Cloning) - Voice Cloning
* [RVC_HFv2](https://huggingface.co/spaces/r3gm/RVC_HFv2) - Voice Cloning
* [RVC Docs](https://docs.aihub.wtf/) - RVC AI Documentation

***

# ► [Machine Learning](https://www.reddit.com/r/FREEMEDIAHECKYEAH/wiki/dev-tools#wiki_.25B7_machine_learning)
